Loading...
Searching...
No Matches
dolfin::BoundingBoxTree1D::less_x Struct Reference

`#include <BoundingBoxTree1D.h>`

## Public Member Functions

| less_x (const std::vector< double > &bboxes)
| Constructor.
bool | operator() (unsigned int i, unsigned int j)
| Comparison operator.

## Public Attributes

const std::vector< double > & | bboxes
| Bounding boxes.

## Detailed Description

Comparison operator for sorting of bounding boxes. Boxes are sorted by their midpoints along the longest axis.

The documentation for this struct was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/BoundingBoxTree1D.h